Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Interface CircularRenderer

All Known Implementing Classes:
  CircularFeatureFilteringRenderer, CircularFeaturesRenderer, CircularMLR, CircularPaddedRenderer

    public interface CircularRenderer

Render information from a CircularRendererContext onto a graphics context.

Every CircularRenderer paints information about a sequence, it's symbols or features or some other property, into a ring. The depth of the ring is given by getDepth().

Since:
  1.4
Author:
  Matthew Pocock

Method Summary
`double` | `getDepth(CircularRendererContext crc)` Get the depth needed for this renderer.
`void` | `paint(Graphics2D g2, CircularRendererContext crc)` Paint this renderer.

Method Detail

### getDepth

    double getDepth(CircularRendererContext crc)

  Get the depth needed for this renderer.

  Parameters:
    `crc` - the CircularRendererContext to render information from
  Returns:
    the depth required to render the context

### paint

    void paint(Graphics2D g2,
               CircularRendererContext crc)

  Paint this renderer.

  Parameters:
    `g2` - the graphics to paint to
    `crc` - the context giving the data to paint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD